Page MenuHomePhabricator

EchoNewsletterUserLocator: Return type for locateNewsletterSubscribedUsers function to be changed
Closed, ResolvedPublic

Description

This task requires you to install Newsletter extension.

The return value is expected to be an array of Users[] but currently, it returns UserArray::newFromIDs( $newsletter->getSubscribers() ). Return value type is not compatible to what has been declared. Hence it needs to be changed.

Event Timeline

Devirk created this task.Dec 28 2016, 11:17 AM
01tonythomas added a subscriber: 01tonythomas.EditedDec 30 2016, 3:21 PM

Imported as https://codein.withgoogle.com/dashboard/tasks/5442425130582016/ and waiting for one of the admins to approve it!

Change 329686 had a related patch set uploaded (by Filip):
Updated docs in EchoNewsletterUserLocator

https://gerrit.wikimedia.org/r/329686

Filip claimed this task.Dec 30 2016, 4:16 PM
Filip added a comment.Dec 30 2016, 5:12 PM

@01tonythomas Oh. looked at wrong MW docs. Fixed!

Change 329686 merged by jenkins-bot:
Updated docs in EchoNewsletterUserLocator

https://gerrit.wikimedia.org/r/329686

01tonythomas closed this task as Resolved.Dec 30 2016, 9:35 PM

Nice work, Thank you!

Qgil awarded a token.Jan 3 2017, 10:19 PM